/*
	This file is part of "Interface Fractures III - Silicon".
	Copyright (c) 2015 Luka Prinčič, All rights reserved.
	This program is free software distributed under
	GNU General Public Licence. See COPYING for more info.
	- - - - - - - - - - - - - - - - - - - - - - - - - - - -

  osc.pde - open sound control communication
  
                                                                              */

//_____________________________________________________________________________
void ctlin(int cc, int val) {  // midi control values, from Renoise (via SC)
  
  // debug:
  // println("### OSC: /ctlin cc:" + cc + " value:" + val);

  // patchbay
  if (cc == 2) { tilesOverlap = val;  }
  if (cc == 10) { drawSpectrumAFactor = val;  }
  if (cc == 11) { drawSpectrumThreshold = val;  }
  if (cc == 12) { drawSpectrumHeight = val;  }
  if (cc == 13) { drawSpectrumWidth = val;  }
  if (cc == 14) { drawSpectrumAwidth = val;  }
  
}  


// ____________________________________________________________________________
void scosc(String mount, int val) {  // stuff coming directly from SuperCollider
  
  // debug:
  // println("### OSC: /sc mount:" + mount + " value:" + val);

  // patchbay
  if (mount.equals("testPatternToggle")) { testPatternToggle = boolean(val); }
  if (mount.equals("testPictureToggle")) { testPictureToggle = boolean(val); }

  
} // - - - - - - - - - - - - - - - - - - - - 


